com.google.appengine.api.datastore

## Class Query.GeoRegion.Rectangle

- java.lang.Object
- - com.google.appengine.api.datastore.Query.GeoRegion
  - - com.google.appengine.api.datastore.Query.GeoRegion.Rectangle

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Query.GeoRegion

      public static final class Query.GeoRegion.Rectangle
      extends Query.GeoRegion

  A simple geographical region bounded by two latitude lines, and two longitude lines, i.e., a "rectangle". It's not really a rectangle, of course, because longitude lines are not really parallel.

  Intended for use in a geo-containment predicate filter.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.appengine.api.datastore.Query.GeoRegion

      `Query.GeoRegion.Circle, Query.GeoRegion.Rectangle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rectangle(GeoPt southwest, GeoPt northeast)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(GeoPt point)` Determines whether the given `GeoPt` value lies within this geographic region.
    `boolean` | `equals(java.lang.Object o)`
    `GeoPt` | `getNortheast()`
    `GeoPt` | `getSouthwest()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Rectangle

          public Rectangle(GeoPt southwest,
                           GeoPt northeast)

  - ### Method Detail

    - #### getSouthwest

          public GeoPt getSouthwest()

    - #### getNortheast

          public GeoPt getNortheast()

    - #### contains

          public boolean contains(GeoPt point)

      Description copied from class: `Query.GeoRegion`
      Determines whether the given `GeoPt` value lies within this geographic region. If the point lies on the border of the region it is considered to be contained.
      Specified by:
        `contains` in class `Query.GeoRegion`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`